DataObjectDefinitionParser.DataObjectFactoryBean (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.parsers.specific.DataObjectDefinitionParser.DataObjectFactoryBean class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.specific
Class DataObjectDefinitionParser.DataObjectFactoryBean

    java.lang.Object
      org.mule.config.spring.parsers.specific.DataObjectDefinitionParser.DataObjectFactoryBean

All Implemented Interfaces:
  org.springframework.beans.factory.FactoryBean, org.springframework.context.ApplicationContextAware

Enclosing class:
  DataObjectDefinitionParser

    public static class DataObjectDefinitionParser.DataObjectFactoryBean

extends Object
implements org.springframework.beans.factory.FactoryBean, org.springframework.context.ApplicationContextAware

Constructor Summary
`DataObjectDefinitionParser.DataObjectFactoryBean()`

Method Summary
`Object` | `getData()`
`String` | `getFile()`
`Object` | `getObject()`
`Class` | `getObjectType()`
`String` | `getRef()`
`boolean` | `isBinary()`
`boolean` | `isSingleton()`
`void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
`void` | `setBinary(boolean binary)`
`void` | `setData(Object data)`
`void` | `setFile(String file)`
`void` | `setRef(String ref)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataObjectDefinitionParser.DataObjectFactoryBean

    public DataObjectDefinitionParser.DataObjectFactoryBean()

Method Detail

### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)
                               throws org.springframework.beans.BeansException

  Specified by:
    `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
  Throws:
    `org.springframework.beans.BeansException`

### getObject

    public Object getObject()
                     throws Exception

  Specified by:
    `getObject` in interface `org.springframework.beans.factory.FactoryBean`
  Throws:
    `Exception`

### getObjectType

    public Class getObjectType()

  Specified by:
    `getObjectType` in interface `org.springframework.beans.factory.FactoryBean`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `org.springframework.beans.factory.FactoryBean`

### getFile

    public String getFile()

### setFile

    public void setFile(String file)

### getRef

    public String getRef()

### setRef

    public void setRef(String ref)

### getData

    public Object getData()

### setData

    public void setData(Object data)

### isBinary

    public boolean isBinary()

### setBinary

    public void setBinary(boolean binary)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.